GNU logs - #39105, boring messages


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#39105] [PATCH] gnu: Add ghc-llvm-hs and dependency
Resent-From: JoJo <jo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Sun, 12 Jan 2020 19:41:01 +0000
Resent-Message-ID: <handler.39105.B.157885801422652 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 39105
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 39105 <at> debbugs.gnu.org
X-Debbugs-Original-To: guix-patches@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.157885801422652
          (code B ref -1); Sun, 12 Jan 2020 19:41:01 +0000
Received: (at submit) by debbugs.gnu.org; 12 Jan 2020 19:40:14 +0000
Received: from localhost ([127.0.0.1]:58021 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqj5q-0005tI-4Y
	for submit <at> debbugs.gnu.org; Sun, 12 Jan 2020 14:40:14 -0500
Received: from lists.gnu.org ([209.51.188.17]:38497)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jo@HIDDEN>) id 1iqj0Z-0005kn-9E
 for submit <at> debbugs.gnu.org; Sun, 12 Jan 2020 14:34:47 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:42135)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jo@HIDDEN>) id 1iqj0X-00030Q-Oj
 for guix-patches@HIDDEN; Sun, 12 Jan 2020 14:34:47 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jo@HIDDEN>) id 1iqj0W-0003gV-71
 for guix-patches@HIDDEN; Sun, 12 Jan 2020 14:34:45 -0500
Received: from mta-06-3.privateemail.com ([198.54.127.59]:19196)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jo@HIDDEN>) id 1iqj0V-0003aj-U1
 for guix-patches@HIDDEN; Sun, 12 Jan 2020 14:34:44 -0500
Received: from MTA-06.privateemail.com (localhost [127.0.0.1])
 by MTA-06.privateemail.com (Postfix) with ESMTP id 2E1C760043
 for <guix-patches@HIDDEN>; Sun, 12 Jan 2020 14:34:41 -0500 (EST)
Received: from odin (unknown [10.20.151.217])
 by MTA-06.privateemail.com (Postfix) with ESMTPA id 91C466003D
 for <guix-patches@HIDDEN>; Sun, 12 Jan 2020 19:34:40 +0000 (UTC)
From: JoJo <jo@HIDDEN>
Date: Sun, 12 Jan 2020 20:10:14 +0100
Message-ID: <87h8108o4x.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Virus-Scanned: ClamAV using ClamSMTP
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 198.54.127.59
X-Spam-Score: -1.3 (-)
X-Mailman-Approved-At: Sun, 12 Jan 2020 14:40:12 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/haskell-xyz.scm
(ghc-llvm-hs, ghc-llvm-hs-pure): New variables.
---
 gnu/packages/haskell-xyz.scm | 66 ++++++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)

diff --git a/gnu/packages/haskell-xyz.scm b/gnu/packages/haskell-xyz.scm
index 3a9880f58c..af507d9d43 100644
--- a/gnu/packages/haskell-xyz.scm
+++ b/gnu/packages/haskell-xyz.scm
@@ -54,6 +54,7 @@
   #:use-module (gnu packages haskell-web)
   #:use-module (gnu packages libffi)
   #:use-module (gnu packages linux)
+  #:use-module (gnu packages llvm)
   #:use-module (gnu packages lua)
   #:use-module (gnu packages maths)
   #:use-module (gnu packages ncurses)
@@ -6704,6 +6705,71 @@ ByteString, for types that support input and output, and for types that
 can handle infinite lists.")
     (license license:bsd-3)))
 
+(define-public ghc-llvm-hs-pure
+  (package
+    (name "ghc-llvm-hs-pure")
+    (version "9.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append
+             "https://hackage.haskell.org/package/llvm-hs-pure/llvm-hs-pure-"
+             version
+             ".tar.gz"))
+       (sha256
+        (base32
+         "0pxb5ah8r5pzpz2ibqw3g9g1isigb4z7pbzfrwr8kmcjn74ab3kf"))))
+    (build-system haskell-build-system)
+    (inputs `(("ghc-attoparsec" ,ghc-attoparsec)
+              ("ghc-fail" ,ghc-fail)
+              ("ghc-unordered-containers" ,ghc-unordered-containers)))
+    (native-inputs `(("ghc-tasty" ,ghc-tasty)
+                     ("ghc-tasty-hunit" ,ghc-tasty-hunit)
+                     ("ghc-tasty-quickcheck" ,ghc-tasty-quickcheck)))
+    (home-page "http://github.com/llvm-hs/llvm-hs/")
+    (synopsis "Pure Haskell LLVM functionality (no FFI).")
+    (description "llvm-hs-pure is a set of pure Haskell types and functions
+for interacting with LLVM. It includes an ADT to represent LLVM IR. The
+llvm-hs package builds on this one with FFI bindings to LLVM, but llvm-hs-pure
+does not require LLVM to be available.")
+    (license license:bsd-3)))
+
+(define-public ghc-llvm-hs
+  (package
+    (name "ghc-llvm-hs")
+    (version "9.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append
+             "https://hackage.haskell.org/package/llvm-hs/llvm-hs-"
+             version
+             ".tar.gz"))
+       (sha256
+        (base32
+         "0723xgh45h9cyxmmjsvxnsp8bpn1ljy4qgh7a7vqq3sj9d6wzq00"))))
+    (build-system haskell-build-system)
+    (inputs `(("ghc-attoparsec" ,ghc-attoparsec)
+              ("ghc-exceptions" ,ghc-exceptions)
+              ("ghc-utf8-string" ,ghc-utf8-string)
+              ("ghc-llvm-hs-pure" ,ghc-llvm-hs-pure)
+              ("llvm" ,llvm-9)))
+    (native-inputs `(("ghc-tasty" ,ghc-tasty)
+                     ("ghc-tasty-hunit" ,ghc-tasty-hunit)
+                     ("ghc-tasty-quickcheck" ,ghc-tasty-quickcheck)
+                     ("ghc-quickcheck" ,ghc-quickcheck)
+                     ("ghc-temporary" ,ghc-temporary)
+                     ("ghc-pretty-show" ,ghc-pretty-show)
+                     ("ghc-temporary" ,ghc-temporary)))
+    (home-page "http://github.com/llvm-hs/llvm-hs/")
+    (synopsis "General purpose LLVM bindings")
+    (description "llvm-hs is a set of Haskell bindings for LLVM. Unlike other
+current Haskell bindings, it uses an ADT to represent LLVM IR, and so offers
+two advantages: it handles almost all of the stateful complexities of using
+the LLVM API to build IR; and it supports moving IR not only from Haskell into
+LLVM C++ objects, but the other direction - from LLVM C++ into Haskell.")
+    (license license:bsd-3)))
+
 (define-public ghc-logging-facade
   (package
     (name "ghc-logging-facade")
-- 
2.24.1




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: JoJo <jo@HIDDEN>
Subject: bug#39105: Acknowledgement ([PATCH] gnu: Add ghc-llvm-hs and
 dependency)
Message-ID: <handler.39105.B.157885801422652.ack <at> debbugs.gnu.org>
References: <87h8108o4x.fsf@HIDDEN>
X-Gnu-PR-Message: ack 39105
X-Gnu-PR-Package: guix-patches
X-Gnu-PR-Keywords: patch
Reply-To: 39105 <at> debbugs.gnu.org
Date: Sun, 12 Jan 2020 19:41:01 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 guix-patches@HIDDEN

If you wish to submit further information on this problem, please
send it to 39105 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
39105: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D39105
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#39105] [PATCH] gnu: Add ghc-llvm-hs and dependency
References: <87h8108o4x.fsf@HIDDEN>
In-Reply-To: <87h8108o4x.fsf@HIDDEN>
Resent-From: John Soo <jsoo1@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Tue, 14 Jan 2020 21:27:02 +0000
Resent-Message-ID: <handler.39105.B39105.157903719827399 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 39105
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 39105 <at> debbugs.gnu.org, jo@HIDDEN
Received: via spool by 39105-submit <at> debbugs.gnu.org id=B39105.157903719827399
          (code B ref 39105); Tue, 14 Jan 2020 21:27:02 +0000
Received: (at 39105) by debbugs.gnu.org; 14 Jan 2020 21:26:38 +0000
Received: from localhost ([127.0.0.1]:33731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irThu-00077r-31
	for submit <at> debbugs.gnu.org; Tue, 14 Jan 2020 16:26:38 -0500
Received: from mail-pl1-f174.google.com ([209.85.214.174]:36080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jsoo1@HIDDEN>) id 1irThs-00077X-CW
 for 39105 <at> debbugs.gnu.org; Tue, 14 Jan 2020 16:26:37 -0500
Received: by mail-pl1-f174.google.com with SMTP id a6so5754293plm.3
 for <39105 <at> debbugs.gnu.org>; Tue, 14 Jan 2020 13:26:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=asu-edu.20150623.gappssmtp.com; s=20150623;
 h=content-transfer-encoding:from:mime-version:date:subject:message-id
 :to; bh=b9EAfoJw98mCp6pjOPpE9ot840p8FwRgbyW5apleLrE=;
 b=hwlHIw0uf8c9qG5W57GIOoAwzA48DnfgiyQUTxlI4cGZmYvHg9hwwnUaN7wlgHDWNG
 6EzzL+bv8ivd9GaQcxQRTTh682qyCyscvv77x37aauVMHa25kziXgxw2kjttbMv5W5l8
 yHHRuzfcOmboDn06aw2oXACxB0CMECEG53cP4MmAVzJ44zMFx6pinOUIcCnW9hhO7f1s
 cFKND/S/jQovEyJ98xPaVZRWf4OqSyeV5vlFUDt2bCzz1CFD3VqKa2P8UPy0ueaLaJTK
 UavzcA+sh4AFbCNDRTT//CSnzp/zX13MeuzkSG4XwUrR5PrOFfkTQv3mc/mF6Oh3xr1Y
 tBsw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:content-transfer-encoding:from:mime-version:date
 :subject:message-id:to;
 bh=b9EAfoJw98mCp6pjOPpE9ot840p8FwRgbyW5apleLrE=;
 b=lE5jMaveBbszwZjxiXP6xC6O5gkpYCUyW8zUv3AeWnE0MvcWpNepAeK1leXJxpISnl
 /azJ7VPZgs0nujVX7UbUCl1b/liPRwTvIlGHMM3hbytWW/mt2Z84hvM2Ns/BP+BmKOF3
 Pv3PRLi/9nVH4d1LqZkhm8FaOVxzmy1U7q1fSJdmhk4NLQCgrSLm4A5xs8VAHt4p6LIr
 VyLz6SGLQLQV4psGrq9J02iIo/K4R4BgJ3l6bu85noL24rbZniW99U4zLlyKVbp62jdU
 ZCAHWbqTbBrHo5XbHkHhGK2IoKZ9lY4y1AgV8cBWOq1A7sYjZiycOyUp3f5IeyewoETZ
 71Mg==
X-Gm-Message-State: APjAAAUWEvbvL7N+6QPvJd6eaz3cacFm2ec8rubL1AoruESz88dIPrtT
 2t57NYwqcIgVfqPQhI+9AsV1EWUHuGA=
X-Google-Smtp-Source: APXvYqzwNgBYZ0jot2lGdCXlys1HScVjfAsuV0N7cp+XoDmLQwHARLKzcyWvSy0cKXHAq9dEcf2cJQ==
X-Received: by 2002:a17:902:6b45:: with SMTP id
 g5mr21600247plt.159.1579037190302; 
 Tue, 14 Jan 2020 13:26:30 -0800 (PST)
Received: from ?IPv6:2600:380:b43d:5c1a:acfe:c4ad:b1de:dc03?
 ([2600:380:b43d:5c1a:acfe:c4ad:b1de:dc03])
 by smtp.gmail.com with ESMTPSA id 200sm19706499pfz.121.2020.01.14.13.26.29
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 14 Jan 2020 13:26:29 -0800 (PST)
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
From: John Soo <jsoo1@HIDDEN>
Mime-Version: 1.0 (1.0)
Date: Tue, 14 Jan 2020 13:26:28 -0800
Message-Id: <C2979E65-C4A6-4D14-BE84-1268D739317D@HIDDEN>
X-Mailer: iPhone Mail (17C54)
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi JoJo,

Looks good.  Thanks!

One thing you should do before this gets merged is to separate each package i=
nto one patch. One package per patch is the convention in guix.

- John=




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#39105] [PATCH] gnu: Add ghc-llvm-hs and dependency
Resent-From: JoJo <jo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 15 Jan 2020 14:42:02 +0000
Resent-Message-ID: <handler.39105.B39105.157909931015900 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 39105
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 39105 <at> debbugs.gnu.org
Cc: John Soo <jsoo1@HIDDEN>
Received: via spool by 39105-submit <at> debbugs.gnu.org id=B39105.157909931015900
          (code B ref 39105); Wed, 15 Jan 2020 14:42:02 +0000
Received: (at 39105) by debbugs.gnu.org; 15 Jan 2020 14:41:50 +0000
Received: from localhost ([127.0.0.1]:34461 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irjri-00048O-3Y
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 09:41:50 -0500
Received: from mta-09-4.privateemail.com ([68.65.122.29]:22119)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jo@HIDDEN>) id 1irjra-00047x-UF
 for 39105 <at> debbugs.gnu.org; Wed, 15 Jan 2020 09:41:48 -0500
Received: from MTA-09.privateemail.com (localhost [127.0.0.1])
 by MTA-09.privateemail.com (Postfix) with ESMTP id C417460043;
 Wed, 15 Jan 2020 09:41:36 -0500 (EST)
Received: from odin (unknown [10.20.151.229])
 by MTA-09.privateemail.com (Postfix) with ESMTPA id 0215960034;
 Wed, 15 Jan 2020 14:41:35 +0000 (UTC)
From: JoJo <jo@HIDDEN>
In-Reply-To: <C2979E65-C4A6-4D14-BE84-1268D739317D@HIDDEN>
References: <C2979E65-C4A6-4D14-BE84-1268D739317D@HIDDEN>
Date: Wed, 15 Jan 2020 15:41:34 +0100
Message-ID: <87r2004w9t.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Virus-Scanned: ClamAV using ClamSMTP
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello John,

Alright, two patches coming right up!

On Tue, Jan 14 2020, John Soo wrote:

> Hi JoJo,
>
> Looks good.  Thanks!
>
> One thing you should do before this gets merged is to separate each package into one patch. One package per patch is the convention in guix.
>
> - John




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#39105] [PATCH 1/2] gnu: Add ghc-llvm-hs-pure
References: <87h8108o4x.fsf@HIDDEN>
In-Reply-To: <87h8108o4x.fsf@HIDDEN>
Resent-From: JoJo <jo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 15 Jan 2020 14:44:01 +0000
Resent-Message-ID: <handler.39105.B39105.157909940116089 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 39105
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 39105 <at> debbugs.gnu.org
Received: via spool by 39105-submit <at> debbugs.gnu.org id=B39105.157909940116089
          (code B ref 39105); Wed, 15 Jan 2020 14:44:01 +0000
Received: (at 39105) by debbugs.gnu.org; 15 Jan 2020 14:43:21 +0000
Received: from localhost ([127.0.0.1]:34465 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irjt8-0004BM-Fb
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 09:43:21 -0500
Received: from mta-09-4.privateemail.com ([68.65.122.29]:9895)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jo@HIDDEN>) id 1irjt1-0004B0-Ok
 for 39105 <at> debbugs.gnu.org; Wed, 15 Jan 2020 09:43:16 -0500
Received: from MTA-09.privateemail.com (localhost [127.0.0.1])
 by MTA-09.privateemail.com (Postfix) with ESMTP id 092DF6003F
 for <39105 <at> debbugs.gnu.org>; Wed, 15 Jan 2020 09:43:06 -0500 (EST)
Received: from odin (unknown [10.20.151.244])
 by MTA-09.privateemail.com (Postfix) with ESMTPA id 6BE6360034
 for <39105 <at> debbugs.gnu.org>; Wed, 15 Jan 2020 14:43:05 +0000 (UTC)
From: JoJo <jo@HIDDEN>
Date: Wed, 15 Jan 2020 15:43:03 +0100
Message-ID: <87lfq84w7c.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Virus-Scanned: ClamAV using ClamSMTP
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/haskell-xyz.scm
(ghc-llvm-hs-pure): New variable.
---
 gnu/packages/haskell-xyz.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/haskell-xyz.scm b/gnu/packages/haskell-xyz.scm
index 3a9880f58c..a04e8f652e 100644
--- a/gnu/packages/haskell-xyz.scm
+++ b/gnu/packages/haskell-xyz.scm
@@ -6704,6 +6704,35 @@ ByteString, for types that support input and output, and for types that
 can handle infinite lists.")
     (license license:bsd-3)))
 
+(define-public ghc-llvm-hs-pure
+  (package
+    (name "ghc-llvm-hs-pure")
+    (version "9.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append
+             "https://hackage.haskell.org/package/llvm-hs-pure/llvm-hs-pure-"
+             version
+             ".tar.gz"))
+       (sha256
+        (base32
+         "0pxb5ah8r5pzpz2ibqw3g9g1isigb4z7pbzfrwr8kmcjn74ab3kf"))))
+    (build-system haskell-build-system)
+    (inputs `(("ghc-attoparsec" ,ghc-attoparsec)
+              ("ghc-fail" ,ghc-fail)
+              ("ghc-unordered-containers" ,ghc-unordered-containers)))
+    (native-inputs `(("ghc-tasty" ,ghc-tasty)
+                     ("ghc-tasty-hunit" ,ghc-tasty-hunit)
+                     ("ghc-tasty-quickcheck" ,ghc-tasty-quickcheck)))
+    (home-page "http://github.com/llvm-hs/llvm-hs/")
+    (synopsis "Pure Haskell LLVM functionality (no FFI).")
+    (description "llvm-hs-pure is a set of pure Haskell types and functions
+for interacting with LLVM. It includes an ADT to represent LLVM IR. The
+llvm-hs package builds on this one with FFI bindings to LLVM, but llvm-hs-pure
+does not require LLVM to be available.")
+    (license license:bsd-3)))
+
 (define-public ghc-logging-facade
   (package
     (name "ghc-logging-facade")
-- 
2.24.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#39105] [PATCH 2/2] gnu: Add ghc-llvm-hs-pure
References: <87h8108o4x.fsf@HIDDEN>
In-Reply-To: <87h8108o4x.fsf@HIDDEN>
Resent-From: JoJo <jo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 15 Jan 2020 14:45:02 +0000
Resent-Message-ID: <handler.39105.B39105.157909944216182 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 39105
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 39105 <at> debbugs.gnu.org
Received: via spool by 39105-submit <at> debbugs.gnu.org id=B39105.157909944216182
          (code B ref 39105); Wed, 15 Jan 2020 14:45:02 +0000
Received: (at 39105) by debbugs.gnu.org; 15 Jan 2020 14:44:02 +0000
Received: from localhost ([127.0.0.1]:34468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irjtm-0004CW-JM
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 09:44:02 -0500
Received: from mta-09-4.privateemail.com ([68.65.122.29]:27650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jo@HIDDEN>) id 1irjtg-0004CC-8w
 for 39105 <at> debbugs.gnu.org; Wed, 15 Jan 2020 09:43:57 -0500
Received: from MTA-09.privateemail.com (localhost [127.0.0.1])
 by MTA-09.privateemail.com (Postfix) with ESMTP id BD08C6004A
 for <39105 <at> debbugs.gnu.org>; Wed, 15 Jan 2020 09:43:46 -0500 (EST)
Received: from odin (unknown [10.20.151.215])
 by MTA-09.privateemail.com (Postfix) with ESMTPA id 2D08860043
 for <39105 <at> debbugs.gnu.org>; Wed, 15 Jan 2020 14:43:45 +0000 (UTC)
From: JoJo <jo@HIDDEN>
Date: Wed, 15 Jan 2020 15:43:44 +0100
Message-ID: <87h80w4w67.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Virus-Scanned: ClamAV using ClamSMTP
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/haskell-xyz.scm
(ghc-llvm-hs): New variable.
---
 gnu/packages/haskell-xyz.scm | 37 ++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/gnu/packages/haskell-xyz.scm b/gnu/packages/haskell-xyz.scm
index a04e8f652e..af507d9d43 100644
--- a/gnu/packages/haskell-xyz.scm
+++ b/gnu/packages/haskell-xyz.scm
@@ -54,6 +54,7 @@
   #:use-module (gnu packages haskell-web)
   #:use-module (gnu packages libffi)
   #:use-module (gnu packages linux)
+  #:use-module (gnu packages llvm)
   #:use-module (gnu packages lua)
   #:use-module (gnu packages maths)
   #:use-module (gnu packages ncurses)
@@ -6733,6 +6734,42 @@ llvm-hs package builds on this one with FFI bindings to LLVM, but llvm-hs-pure
 does not require LLVM to be available.")
     (license license:bsd-3)))
 
+(define-public ghc-llvm-hs
+  (package
+    (name "ghc-llvm-hs")
+    (version "9.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append
+             "https://hackage.haskell.org/package/llvm-hs/llvm-hs-"
+             version
+             ".tar.gz"))
+       (sha256
+        (base32
+         "0723xgh45h9cyxmmjsvxnsp8bpn1ljy4qgh7a7vqq3sj9d6wzq00"))))
+    (build-system haskell-build-system)
+    (inputs `(("ghc-attoparsec" ,ghc-attoparsec)
+              ("ghc-exceptions" ,ghc-exceptions)
+              ("ghc-utf8-string" ,ghc-utf8-string)
+              ("ghc-llvm-hs-pure" ,ghc-llvm-hs-pure)
+              ("llvm" ,llvm-9)))
+    (native-inputs `(("ghc-tasty" ,ghc-tasty)
+                     ("ghc-tasty-hunit" ,ghc-tasty-hunit)
+                     ("ghc-tasty-quickcheck" ,ghc-tasty-quickcheck)
+                     ("ghc-quickcheck" ,ghc-quickcheck)
+                     ("ghc-temporary" ,ghc-temporary)
+                     ("ghc-pretty-show" ,ghc-pretty-show)
+                     ("ghc-temporary" ,ghc-temporary)))
+    (home-page "http://github.com/llvm-hs/llvm-hs/")
+    (synopsis "General purpose LLVM bindings")
+    (description "llvm-hs is a set of Haskell bindings for LLVM. Unlike other
+current Haskell bindings, it uses an ADT to represent LLVM IR, and so offers
+two advantages: it handles almost all of the stateful complexities of using
+the LLVM API to build IR; and it supports moving IR not only from Haskell into
+LLVM C++ objects, but the other direction - from LLVM C++ into Haskell.")
+    (license license:bsd-3)))
+
 (define-public ghc-logging-facade
   (package
     (name "ghc-logging-facade")
-- 
2.24.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#39105] [PATCH 2/2] gnu: Add ghc-llvm-hs-pure
Resent-From: JoJo <jo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 15 Jan 2020 14:49:01 +0000
Resent-Message-ID: <handler.39105.B39105.157909968616693 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 39105
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 39105 <at> debbugs.gnu.org
Received: via spool by 39105-submit <at> debbugs.gnu.org id=B39105.157909968616693
          (code B ref 39105); Wed, 15 Jan 2020 14:49:01 +0000
Received: (at 39105) by debbugs.gnu.org; 15 Jan 2020 14:48:06 +0000
Received: from localhost ([127.0.0.1]:34475 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irjxi-0004L6-Fs
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 09:48:06 -0500
Received: from mta-07-4.privateemail.com ([68.65.122.27]:17268)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jo@HIDDEN>) id 1irjxd-0004KV-QP
 for 39105 <at> debbugs.gnu.org; Wed, 15 Jan 2020 09:48:01 -0500
Received: from MTA-07.privateemail.com (localhost [127.0.0.1])
 by MTA-07.privateemail.com (Postfix) with ESMTP id 0D3B060050
 for <39105 <at> debbugs.gnu.org>; Wed, 15 Jan 2020 09:47:52 -0500 (EST)
Received: from odin (unknown [10.20.151.240])
 by MTA-07.privateemail.com (Postfix) with ESMTPA id 718AC6004D
 for <39105 <at> debbugs.gnu.org>; Wed, 15 Jan 2020 14:47:51 +0000 (UTC)
From: JoJo <jo@HIDDEN>
In-Reply-To: <87h80w4w67.fsf@HIDDEN>
References: <87h80w4w67.fsf@HIDDEN>
Date: Wed, 15 Jan 2020 15:47:49 +0100
Message-ID: <87eew04vze.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Virus-Scanned: ClamAV using ClamSMTP
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sorry, screwed up the commit title / subject message of the second
patch there. It's supposed to be "[PATCH 2/2] gnu: Add ghc-llvm-hs".

On Wed, Jan 15 2020, JoJo wrote:

> * gnu/packages/haskell-xyz.scm
> (ghc-llvm-hs): New variable.
> ---
>  gnu/packages/haskell-xyz.scm | 37 ++++++++++++++++++++++++++++++++++++
>  1 file changed, 37 insertions(+)
>
> diff --git a/gnu/packages/haskell-xyz.scm b/gnu/packages/haskell-xyz.scm
> index a04e8f652e..af507d9d43 100644
> --- a/gnu/packages/haskell-xyz.scm
> +++ b/gnu/packages/haskell-xyz.scm
> @@ -54,6 +54,7 @@
>    #:use-module (gnu packages haskell-web)
>    #:use-module (gnu packages libffi)
>    #:use-module (gnu packages linux)
> +  #:use-module (gnu packages llvm)
>    #:use-module (gnu packages lua)
>    #:use-module (gnu packages maths)
>    #:use-module (gnu packages ncurses)
> @@ -6733,6 +6734,42 @@ llvm-hs package builds on this one with FFI bindings to LLVM, but llvm-hs-pure
>  does not require LLVM to be available.")
>      (license license:bsd-3)))
>  
> +(define-public ghc-llvm-hs
> +  (package
> +    (name "ghc-llvm-hs")
> +    (version "9.0.1")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri (string-append
> +             "https://hackage.haskell.org/package/llvm-hs/llvm-hs-"
> +             version
> +             ".tar.gz"))
> +       (sha256
> +        (base32
> +         "0723xgh45h9cyxmmjsvxnsp8bpn1ljy4qgh7a7vqq3sj9d6wzq00"))))
> +    (build-system haskell-build-system)
> +    (inputs `(("ghc-attoparsec" ,ghc-attoparsec)
> +              ("ghc-exceptions" ,ghc-exceptions)
> +              ("ghc-utf8-string" ,ghc-utf8-string)
> +              ("ghc-llvm-hs-pure" ,ghc-llvm-hs-pure)
> +              ("llvm" ,llvm-9)))
> +    (native-inputs `(("ghc-tasty" ,ghc-tasty)
> +                     ("ghc-tasty-hunit" ,ghc-tasty-hunit)
> +                     ("ghc-tasty-quickcheck" ,ghc-tasty-quickcheck)
> +                     ("ghc-quickcheck" ,ghc-quickcheck)
> +                     ("ghc-temporary" ,ghc-temporary)
> +                     ("ghc-pretty-show" ,ghc-pretty-show)
> +                     ("ghc-temporary" ,ghc-temporary)))
> +    (home-page "http://github.com/llvm-hs/llvm-hs/")
> +    (synopsis "General purpose LLVM bindings")
> +    (description "llvm-hs is a set of Haskell bindings for LLVM. Unlike other
> +current Haskell bindings, it uses an ADT to represent LLVM IR, and so offers
> +two advantages: it handles almost all of the stateful complexities of using
> +the LLVM API to build IR; and it supports moving IR not only from Haskell into
> +LLVM C++ objects, but the other direction - from LLVM C++ into Haskell.")
> +    (license license:bsd-3)))
> +
>  (define-public ghc-logging-facade
>    (package
>      (name "ghc-logging-facade")
> -- 
> 2.24.1




Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Leo Famulari <leo@HIDDEN>
Subject: bug#39105: closed ([PATCH] gnu: Add ghc-llvm-hs and dependency)
CC: tracker <at> debbugs.gnu.org
Message-ID: <handler.39105.D39105.157981584914791.ackdone <at> debbugs.gnu.org>
References: <20200123214359.GA14993@HIDDEN> <87h8108o4x.fsf@HIDDEN>
X-Gnu-PR-Message: closed 39105
X-Gnu-PR-Package: guix-patches
X-Gnu-PR-Keywords: patch
Date: Thu, 23 Jan 2020 21:45:01 +0000
Content-Type: multipart/mixed; boundary="----------=_1579815901-14866-0"

This is a multi-part message in MIME format...

------------=_1579815901-14866-0
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=utf-8

Your message dated Thu, 23 Jan 2020 16:43:59 -0500
with message-id <20200123214359.GA14993@HIDDEN>
and subject line Re: [bug#39105] [PATCH 1/2] gnu: Add ghc-llvm-hs-pure
has caused the debbugs.gnu.org bug report #39105,
regarding [PATCH] gnu: Add ghc-llvm-hs and dependency
to be marked as done.

(If you believe you have received this mail in error, please contact
help-debbugs@HIDDEN)


--=20
39105: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D39105
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1579815901-14866-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 12 Jan 2020 19:40:14 +0000
Received: from localhost ([127.0.0.1]:58021 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqj5q-0005tI-4Y
	for submit <at> debbugs.gnu.org; Sun, 12 Jan 2020 14:40:14 -0500
Received: from lists.gnu.org ([209.51.188.17]:38497)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jo@HIDDEN>) id 1iqj0Z-0005kn-9E
 for submit <at> debbugs.gnu.org; Sun, 12 Jan 2020 14:34:47 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:42135)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jo@HIDDEN>) id 1iqj0X-00030Q-Oj
 for guix-patches@HIDDEN; Sun, 12 Jan 2020 14:34:47 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jo@HIDDEN>) id 1iqj0W-0003gV-71
 for guix-patches@HIDDEN; Sun, 12 Jan 2020 14:34:45 -0500
Received: from mta-06-3.privateemail.com ([198.54.127.59]:19196)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jo@HIDDEN>) id 1iqj0V-0003aj-U1
 for guix-patches@HIDDEN; Sun, 12 Jan 2020 14:34:44 -0500
Received: from MTA-06.privateemail.com (localhost [127.0.0.1])
 by MTA-06.privateemail.com (Postfix) with ESMTP id 2E1C760043
 for <guix-patches@HIDDEN>; Sun, 12 Jan 2020 14:34:41 -0500 (EST)
Received: from odin (unknown [10.20.151.217])
 by MTA-06.privateemail.com (Postfix) with ESMTPA id 91C466003D
 for <guix-patches@HIDDEN>; Sun, 12 Jan 2020 19:34:40 +0000 (UTC)
From: JoJo <jo@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add ghc-llvm-hs and dependency
Date: Sun, 12 Jan 2020 20:10:14 +0100
Message-ID: <87h8108o4x.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Virus-Scanned: ClamAV using ClamSMTP
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 198.54.127.59
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 12 Jan 2020 14:40:12 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/haskell-xyz.scm
(ghc-llvm-hs, ghc-llvm-hs-pure): New variables.
---
 gnu/packages/haskell-xyz.scm | 66 ++++++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)

diff --git a/gnu/packages/haskell-xyz.scm b/gnu/packages/haskell-xyz.scm
index 3a9880f58c..af507d9d43 100644
--- a/gnu/packages/haskell-xyz.scm
+++ b/gnu/packages/haskell-xyz.scm
@@ -54,6 +54,7 @@
   #:use-module (gnu packages haskell-web)
   #:use-module (gnu packages libffi)
   #:use-module (gnu packages linux)
+  #:use-module (gnu packages llvm)
   #:use-module (gnu packages lua)
   #:use-module (gnu packages maths)
   #:use-module (gnu packages ncurses)
@@ -6704,6 +6705,71 @@ ByteString, for types that support input and output, and for types that
 can handle infinite lists.")
     (license license:bsd-3)))
 
+(define-public ghc-llvm-hs-pure
+  (package
+    (name "ghc-llvm-hs-pure")
+    (version "9.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append
+             "https://hackage.haskell.org/package/llvm-hs-pure/llvm-hs-pure-"
+             version
+             ".tar.gz"))
+       (sha256
+        (base32
+         "0pxb5ah8r5pzpz2ibqw3g9g1isigb4z7pbzfrwr8kmcjn74ab3kf"))))
+    (build-system haskell-build-system)
+    (inputs `(("ghc-attoparsec" ,ghc-attoparsec)
+              ("ghc-fail" ,ghc-fail)
+              ("ghc-unordered-containers" ,ghc-unordered-containers)))
+    (native-inputs `(("ghc-tasty" ,ghc-tasty)
+                     ("ghc-tasty-hunit" ,ghc-tasty-hunit)
+                     ("ghc-tasty-quickcheck" ,ghc-tasty-quickcheck)))
+    (home-page "http://github.com/llvm-hs/llvm-hs/")
+    (synopsis "Pure Haskell LLVM functionality (no FFI).")
+    (description "llvm-hs-pure is a set of pure Haskell types and functions
+for interacting with LLVM. It includes an ADT to represent LLVM IR. The
+llvm-hs package builds on this one with FFI bindings to LLVM, but llvm-hs-pure
+does not require LLVM to be available.")
+    (license license:bsd-3)))
+
+(define-public ghc-llvm-hs
+  (package
+    (name "ghc-llvm-hs")
+    (version "9.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append
+             "https://hackage.haskell.org/package/llvm-hs/llvm-hs-"
+             version
+             ".tar.gz"))
+       (sha256
+        (base32
+         "0723xgh45h9cyxmmjsvxnsp8bpn1ljy4qgh7a7vqq3sj9d6wzq00"))))
+    (build-system haskell-build-system)
+    (inputs `(("ghc-attoparsec" ,ghc-attoparsec)
+              ("ghc-exceptions" ,ghc-exceptions)
+              ("ghc-utf8-string" ,ghc-utf8-string)
+              ("ghc-llvm-hs-pure" ,ghc-llvm-hs-pure)
+              ("llvm" ,llvm-9)))
+    (native-inputs `(("ghc-tasty" ,ghc-tasty)
+                     ("ghc-tasty-hunit" ,ghc-tasty-hunit)
+                     ("ghc-tasty-quickcheck" ,ghc-tasty-quickcheck)
+                     ("ghc-quickcheck" ,ghc-quickcheck)
+                     ("ghc-temporary" ,ghc-temporary)
+                     ("ghc-pretty-show" ,ghc-pretty-show)
+                     ("ghc-temporary" ,ghc-temporary)))
+    (home-page "http://github.com/llvm-hs/llvm-hs/")
+    (synopsis "General purpose LLVM bindings")
+    (description "llvm-hs is a set of Haskell bindings for LLVM. Unlike other
+current Haskell bindings, it uses an ADT to represent LLVM IR, and so offers
+two advantages: it handles almost all of the stateful complexities of using
+the LLVM API to build IR; and it supports moving IR not only from Haskell into
+LLVM C++ objects, but the other direction - from LLVM C++ into Haskell.")
+    (license license:bsd-3)))
+
 (define-public ghc-logging-facade
   (package
     (name "ghc-logging-facade")
-- 
2.24.1



------------=_1579815901-14866-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 39105-done) by debbugs.gnu.org; 23 Jan 2020 21:44:09 +0000
Received: from localhost ([127.0.0.1]:53261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iukGn-0003qV-9c
	for submit <at> debbugs.gnu.org; Thu, 23 Jan 2020 16:44:09 -0500
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:35263)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1iukGl-0003qI-Gw
 for 39105-done <at> debbugs.gnu.org; Thu, 23 Jan 2020 16:44:07 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 02EF7207E1;
 Thu, 23 Jan 2020 16:44:02 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Thu, 23 Jan 2020 16:44:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=8ffxr27irR6yo9/joaCldKYr
 wY5yjZQ0ya6bYxUDWw8=; b=knpXIoXDQYRTrsTw/Zswy1hESFRzHozhT18al0n1
 JPdQcGeb+1neq62cnxklCJ5Z8Jr4KxhsMA8zp/zxGAtCGgQ5CLaemKgDasIz5JaU
 tm86Kyaot6vea3Ej7tza99JFriuEtGdkO2EkeggxnP/NBtg8l1gIOXn3ugNam1DY
 Yyc=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=8ffxr2
 7irR6yo9/joaCldKYrwY5yjZQ0ya6bYxUDWw8=; b=ETwMHpiboLensYCEE8RswI
 qkGHw/EU6w2XrFSYqL1EpcbBWqNcMl64fnMe5nw7+i9QBxEhabN8YB9taQqZJqLw
 lwyt02p5Gfw3ugfW8Xy2/XXYGdP3cH17YBLoU73yAL2eQ9KSaFiQFrq7osXf8jNR
 tM4fine6pX2nMMisQ4sF3aJSoEK/AKEl9KfdhCk/i/uUkKjiaw0KW+3G15B654bw
 w0FB0x9IwnbfAQhNUoO3Xotap+QccoUP9xnDNTzFqR63JOMwLAeS6mvW47DRZGaL
 9FMYP+0EbJ2Y19hG/vw300RRpljM5Qhr67t/Z56VLB3XMB5+ukUyPr7wJyvJuawA
 ==
X-ME-Sender: <xms:oRMqXprNGo-5VH2ksECQQ5WGqhjDl_27wWRPEkGl_LjiYN0XlsKkqg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedugedrvddvgdelgecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecunecujfgurhepfffhvffukfhfgggtuggjsehgtderre
 dttddvnecuhfhrohhmpefnvghoucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhlrghr
 ihdrnhgrmhgvqeenucfkphepjeeirdduvdegrddufeekrdeifeenucevlhhushhtvghruf
 hiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdr
 nhgrmhgv
X-ME-Proxy: <xmx:oRMqXm0kGekhMN4QSOvmteQF02zeLcCn6iMJdMNT1IQtYoUik2FnKw>
 <xmx:oRMqXqDuIi2Z7lwvD2_vPfv01YdFHvZFWOwPkre2bm1xmLMS5mxryQ>
 <xmx:oRMqXvNfcDS7SAzrNeaX3BoF_mPhCglCC6Y3Du-_AzNdoTKKRyaUog>
 <xmx:oRMqXmio6BtZ2yODrKPEs92CeF27DT0aFw6P7eX-vCyU_TUF1pc-HQ>
Received: from localhost (c-76-124-138-63.hsd1.pa.comcast.net [76.124.138.63])
 by mail.messagingengine.com (Postfix) with ESMTPA id 647573060AF2;
 Thu, 23 Jan 2020 16:44:01 -0500 (EST)
Date: Thu, 23 Jan 2020 16:43:59 -0500
From: Leo Famulari <leo@HIDDEN>
To: JoJo <jo@HIDDEN>
Subject: Re: [bug#39105] [PATCH 1/2] gnu: Add ghc-llvm-hs-pure
Message-ID: <20200123214359.GA14993@HIDDEN>
References: <87h8108o4x.fsf@HIDDEN>
 <87lfq84w7c.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="vkogqOf2sHV7VnPd"
Content-Disposition: inline
In-Reply-To: <87lfq84w7c.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39105-done
Cc: 39105-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--vkogqOf2sHV7VnPd
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Wed, Jan 15, 2020 at 03:43:03PM +0100, JoJo wrote:
> * gnu/packages/haskell-xyz.scm
> (ghc-llvm-hs-pure): New variable.

Thanks! I cleaned up both patches according to `guix lint` (mostly...)
and made a few other cosmetic changes, as well as some minor
clarifications to the synopses and descriptions.

Pushed as e3ee802379f33aa3fae0a40be33fe6a4f2ae34d2

Thanks again for the contribution!

--vkogqOf2sHV7VnPd
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAl4qE58ACgkQJkb6MLrK
fwh0IBAAgADfECsOrw69iBT09BThZ2uKtFniigkkb4uT35/jvIETsbQU38cfFI84
pNSE4Z1HXZ1HWYf5ULjtYsiuWsIXXvzRFxprGN6qVZ1U5RV5jssA9VvfhAh5W/I/
rNZE6uUClgyBO2XQiXuqCMxDajA4JsOiYRWjjZgN+Ir3NrKiFM+DhpniFZPyp3e0
tQbK4ubEs9SAP3rIDIZr5fqFg1nq+CzWf5TBImI+loKI8I0E9ux0wBA7OrZOyp5A
ro5GZlNhxbfTtb5HjIF0S+uYJbfsEDD9R9MCMR+Da7wuTxHwpVfD5msgnlEyujHk
ki1fhFaGMaYXUv+2kdyGCnr3MxPMtHwI8nw/3QEfhWi7ytr84m/2sMPuiw49MdLI
e/YPwz4GKALE9vmTBlxCsocf26uALJo1f34CjFCrmQ7W8nQytugY5pd9nuVlG7+z
TmK05me5b/5jroQfKxx/0Pw6sr3q5pNxw+McNYmhWFOAcO018NpSaN5QZ/7dXXFq
hGx2P7mPn5gXh2NBbA/+NBYmj+atmppV/xKk6xLkgLpvWwLNnMYbnQyJ3lLH9ffg
GG0QiXoZ+Z6cCCVDHiU3/Mtz3jfGHTzyXoZ+aSFjPKWQeKK9VlqRxjllQdKRlvgo
LCLlLUav8gfGrM11abYGSJrOcJMPSN6n8ImcoJsEZQl800JGVfs=
=GFs7
-----END PGP SIGNATURE-----

--vkogqOf2sHV7VnPd--


------------=_1579815901-14866-0--


Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: JoJo <jo@HIDDEN>
Subject: bug#39105: closed (Re: [bug#39105] [PATCH 1/2] gnu: Add
 ghc-llvm-hs-pure)
Message-ID: <handler.39105.D39105.157981584914791.notifdone <at> debbugs.gnu.org>
References: <20200123214359.GA14993@HIDDEN> <87h8108o4x.fsf@HIDDEN>
X-Gnu-PR-Message: they-closed 39105
X-Gnu-PR-Package: guix-patches
X-Gnu-PR-Keywords: patch
Reply-To: 39105 <at> debbugs.gnu.org
Date: Thu, 23 Jan 2020 21:45:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1579815902-14866-1"

This is a multi-part message in MIME format...

------------=_1579815902-14866-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"

Your bug report

#39105: [PATCH] gnu: Add ghc-llvm-hs and dependency

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to 39105 <at> debbugs.gnu.org.

--=20
39105: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D39105
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1579815902-14866-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 39105-done) by debbugs.gnu.org; 23 Jan 2020 21:44:09 +0000
Received: from localhost ([127.0.0.1]:53261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iukGn-0003qV-9c
	for submit <at> debbugs.gnu.org; Thu, 23 Jan 2020 16:44:09 -0500
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:35263)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1iukGl-0003qI-Gw
 for 39105-done <at> debbugs.gnu.org; Thu, 23 Jan 2020 16:44:07 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 02EF7207E1;
 Thu, 23 Jan 2020 16:44:02 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Thu, 23 Jan 2020 16:44:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=8ffxr27irR6yo9/joaCldKYr
 wY5yjZQ0ya6bYxUDWw8=; b=knpXIoXDQYRTrsTw/Zswy1hESFRzHozhT18al0n1
 JPdQcGeb+1neq62cnxklCJ5Z8Jr4KxhsMA8zp/zxGAtCGgQ5CLaemKgDasIz5JaU
 tm86Kyaot6vea3Ej7tza99JFriuEtGdkO2EkeggxnP/NBtg8l1gIOXn3ugNam1DY
 Yyc=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=8ffxr2
 7irR6yo9/joaCldKYrwY5yjZQ0ya6bYxUDWw8=; b=ETwMHpiboLensYCEE8RswI
 qkGHw/EU6w2XrFSYqL1EpcbBWqNcMl64fnMe5nw7+i9QBxEhabN8YB9taQqZJqLw
 lwyt02p5Gfw3ugfW8Xy2/XXYGdP3cH17YBLoU73yAL2eQ9KSaFiQFrq7osXf8jNR
 tM4fine6pX2nMMisQ4sF3aJSoEK/AKEl9KfdhCk/i/uUkKjiaw0KW+3G15B654bw
 w0FB0x9IwnbfAQhNUoO3Xotap+QccoUP9xnDNTzFqR63JOMwLAeS6mvW47DRZGaL
 9FMYP+0EbJ2Y19hG/vw300RRpljM5Qhr67t/Z56VLB3XMB5+ukUyPr7wJyvJuawA
 ==
X-ME-Sender: <xms:oRMqXprNGo-5VH2ksECQQ5WGqhjDl_27wWRPEkGl_LjiYN0XlsKkqg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedugedrvddvgdelgecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecunecujfgurhepfffhvffukfhfgggtuggjsehgtderre
 dttddvnecuhfhrohhmpefnvghoucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhlrghr
 ihdrnhgrmhgvqeenucfkphepjeeirdduvdegrddufeekrdeifeenucevlhhushhtvghruf
 hiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdr
 nhgrmhgv
X-ME-Proxy: <xmx:oRMqXm0kGekhMN4QSOvmteQF02zeLcCn6iMJdMNT1IQtYoUik2FnKw>
 <xmx:oRMqXqDuIi2Z7lwvD2_vPfv01YdFHvZFWOwPkre2bm1xmLMS5mxryQ>
 <xmx:oRMqXvNfcDS7SAzrNeaX3BoF_mPhCglCC6Y3Du-_AzNdoTKKRyaUog>
 <xmx:oRMqXmio6BtZ2yODrKPEs92CeF27DT0aFw6P7eX-vCyU_TUF1pc-HQ>
Received: from localhost (c-76-124-138-63.hsd1.pa.comcast.net [76.124.138.63])
 by mail.messagingengine.com (Postfix) with ESMTPA id 647573060AF2;
 Thu, 23 Jan 2020 16:44:01 -0500 (EST)
Date: Thu, 23 Jan 2020 16:43:59 -0500
From: Leo Famulari <leo@HIDDEN>
To: JoJo <jo@HIDDEN>
Subject: Re: [bug#39105] [PATCH 1/2] gnu: Add ghc-llvm-hs-pure
Message-ID: <20200123214359.GA14993@HIDDEN>
References: <87h8108o4x.fsf@HIDDEN>
 <87lfq84w7c.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="vkogqOf2sHV7VnPd"
Content-Disposition: inline
In-Reply-To: <87lfq84w7c.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39105-done
Cc: 39105-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--vkogqOf2sHV7VnPd
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Wed, Jan 15, 2020 at 03:43:03PM +0100, JoJo wrote:
> * gnu/packages/haskell-xyz.scm
> (ghc-llvm-hs-pure): New variable.

Thanks! I cleaned up both patches according to `guix lint` (mostly...)
and made a few other cosmetic changes, as well as some minor
clarifications to the synopses and descriptions.

Pushed as e3ee802379f33aa3fae0a40be33fe6a4f2ae34d2

Thanks again for the contribution!

--vkogqOf2sHV7VnPd
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAl4qE58ACgkQJkb6MLrK
fwh0IBAAgADfECsOrw69iBT09BThZ2uKtFniigkkb4uT35/jvIETsbQU38cfFI84
pNSE4Z1HXZ1HWYf5ULjtYsiuWsIXXvzRFxprGN6qVZ1U5RV5jssA9VvfhAh5W/I/
rNZE6uUClgyBO2XQiXuqCMxDajA4JsOiYRWjjZgN+Ir3NrKiFM+DhpniFZPyp3e0
tQbK4ubEs9SAP3rIDIZr5fqFg1nq+CzWf5TBImI+loKI8I0E9ux0wBA7OrZOyp5A
ro5GZlNhxbfTtb5HjIF0S+uYJbfsEDD9R9MCMR+Da7wuTxHwpVfD5msgnlEyujHk
ki1fhFaGMaYXUv+2kdyGCnr3MxPMtHwI8nw/3QEfhWi7ytr84m/2sMPuiw49MdLI
e/YPwz4GKALE9vmTBlxCsocf26uALJo1f34CjFCrmQ7W8nQytugY5pd9nuVlG7+z
TmK05me5b/5jroQfKxx/0Pw6sr3q5pNxw+McNYmhWFOAcO018NpSaN5QZ/7dXXFq
hGx2P7mPn5gXh2NBbA/+NBYmj+atmppV/xKk6xLkgLpvWwLNnMYbnQyJ3lLH9ffg
GG0QiXoZ+Z6cCCVDHiU3/Mtz3jfGHTzyXoZ+aSFjPKWQeKK9VlqRxjllQdKRlvgo
LCLlLUav8gfGrM11abYGSJrOcJMPSN6n8ImcoJsEZQl800JGVfs=
=GFs7
-----END PGP SIGNATURE-----

--vkogqOf2sHV7VnPd--


------------=_1579815902-14866-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 12 Jan 2020 19:40:14 +0000
Received: from localhost ([127.0.0.1]:58021 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqj5q-0005tI-4Y
	for submit <at> debbugs.gnu.org; Sun, 12 Jan 2020 14:40:14 -0500
Received: from lists.gnu.org ([209.51.188.17]:38497)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jo@HIDDEN>) id 1iqj0Z-0005kn-9E
 for submit <at> debbugs.gnu.org; Sun, 12 Jan 2020 14:34:47 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:42135)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jo@HIDDEN>) id 1iqj0X-00030Q-Oj
 for guix-patches@HIDDEN; Sun, 12 Jan 2020 14:34:47 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jo@HIDDEN>) id 1iqj0W-0003gV-71
 for guix-patches@HIDDEN; Sun, 12 Jan 2020 14:34:45 -0500
Received: from mta-06-3.privateemail.com ([198.54.127.59]:19196)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jo@HIDDEN>) id 1iqj0V-0003aj-U1
 for guix-patches@HIDDEN; Sun, 12 Jan 2020 14:34:44 -0500
Received: from MTA-06.privateemail.com (localhost [127.0.0.1])
 by MTA-06.privateemail.com (Postfix) with ESMTP id 2E1C760043
 for <guix-patches@HIDDEN>; Sun, 12 Jan 2020 14:34:41 -0500 (EST)
Received: from odin (unknown [10.20.151.217])
 by MTA-06.privateemail.com (Postfix) with ESMTPA id 91C466003D
 for <guix-patches@HIDDEN>; Sun, 12 Jan 2020 19:34:40 +0000 (UTC)
From: JoJo <jo@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add ghc-llvm-hs and dependency
Date: Sun, 12 Jan 2020 20:10:14 +0100
Message-ID: <87h8108o4x.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Virus-Scanned: ClamAV using ClamSMTP
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 198.54.127.59
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 12 Jan 2020 14:40:12 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/haskell-xyz.scm
(ghc-llvm-hs, ghc-llvm-hs-pure): New variables.
---
 gnu/packages/haskell-xyz.scm | 66 ++++++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)

diff --git a/gnu/packages/haskell-xyz.scm b/gnu/packages/haskell-xyz.scm
index 3a9880f58c..af507d9d43 100644
--- a/gnu/packages/haskell-xyz.scm
+++ b/gnu/packages/haskell-xyz.scm
@@ -54,6 +54,7 @@
   #:use-module (gnu packages haskell-web)
   #:use-module (gnu packages libffi)
   #:use-module (gnu packages linux)
+  #:use-module (gnu packages llvm)
   #:use-module (gnu packages lua)
   #:use-module (gnu packages maths)
   #:use-module (gnu packages ncurses)
@@ -6704,6 +6705,71 @@ ByteString, for types that support input and output, and for types that
 can handle infinite lists.")
     (license license:bsd-3)))
 
+(define-public ghc-llvm-hs-pure
+  (package
+    (name "ghc-llvm-hs-pure")
+    (version "9.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append
+             "https://hackage.haskell.org/package/llvm-hs-pure/llvm-hs-pure-"
+             version
+             ".tar.gz"))
+       (sha256
+        (base32
+         "0pxb5ah8r5pzpz2ibqw3g9g1isigb4z7pbzfrwr8kmcjn74ab3kf"))))
+    (build-system haskell-build-system)
+    (inputs `(("ghc-attoparsec" ,ghc-attoparsec)
+              ("ghc-fail" ,ghc-fail)
+              ("ghc-unordered-containers" ,ghc-unordered-containers)))
+    (native-inputs `(("ghc-tasty" ,ghc-tasty)
+                     ("ghc-tasty-hunit" ,ghc-tasty-hunit)
+                     ("ghc-tasty-quickcheck" ,ghc-tasty-quickcheck)))
+    (home-page "http://github.com/llvm-hs/llvm-hs/")
+    (synopsis "Pure Haskell LLVM functionality (no FFI).")
+    (description "llvm-hs-pure is a set of pure Haskell types and functions
+for interacting with LLVM. It includes an ADT to represent LLVM IR. The
+llvm-hs package builds on this one with FFI bindings to LLVM, but llvm-hs-pure
+does not require LLVM to be available.")
+    (license license:bsd-3)))
+
+(define-public ghc-llvm-hs
+  (package
+    (name "ghc-llvm-hs")
+    (version "9.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append
+             "https://hackage.haskell.org/package/llvm-hs/llvm-hs-"
+             version
+             ".tar.gz"))
+       (sha256
+        (base32
+         "0723xgh45h9cyxmmjsvxnsp8bpn1ljy4qgh7a7vqq3sj9d6wzq00"))))
+    (build-system haskell-build-system)
+    (inputs `(("ghc-attoparsec" ,ghc-attoparsec)
+              ("ghc-exceptions" ,ghc-exceptions)
+              ("ghc-utf8-string" ,ghc-utf8-string)
+              ("ghc-llvm-hs-pure" ,ghc-llvm-hs-pure)
+              ("llvm" ,llvm-9)))
+    (native-inputs `(("ghc-tasty" ,ghc-tasty)
+                     ("ghc-tasty-hunit" ,ghc-tasty-hunit)
+                     ("ghc-tasty-quickcheck" ,ghc-tasty-quickcheck)
+                     ("ghc-quickcheck" ,ghc-quickcheck)
+                     ("ghc-temporary" ,ghc-temporary)
+                     ("ghc-pretty-show" ,ghc-pretty-show)
+                     ("ghc-temporary" ,ghc-temporary)))
+    (home-page "http://github.com/llvm-hs/llvm-hs/")
+    (synopsis "General purpose LLVM bindings")
+    (description "llvm-hs is a set of Haskell bindings for LLVM. Unlike other
+current Haskell bindings, it uses an ADT to represent LLVM IR, and so offers
+two advantages: it handles almost all of the stateful complexities of using
+the LLVM API to build IR; and it supports moving IR not only from Haskell into
+LLVM C++ objects, but the other direction - from LLVM C++ into Haskell.")
+    (license license:bsd-3)))
+
 (define-public ghc-logging-facade
   (package
     (name "ghc-logging-facade")
-- 
2.24.1



------------=_1579815902-14866-1--



Last modified: Thu, 23 Jan 2020 22:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.